libzypp 17.37.10

zypp_private::repo::PluginRepoverification::Checker Class Reference

FileChecker checking all repoverification plugins. More...

`#include <zypp/repo/PluginRepoverification.h>`

## Classes
class | Impl
| PluginRepoverification::Checker data storage. More...

## Public Member Functions
| ~Checker ()
void | operator() (const Pathname &file_r) const
| Check the downloaded master index file.

## Private Member Functions
| Checker (Impl *pimpl)

## Private Attributes
RW_pointer< Impl > | _pimpl
| Pointer to implementation (ref).

## Friends
class | PluginRepoverification
| Implementation class.

## Detailed Description

FileChecker checking all repoverification plugins.

Definition at line 82 of file PluginRepoverification.h.

## Constructor & Destructor Documentation

## ◆ ~Checker()

zypp_private::repo::PluginRepoverification::Checker::~Checker | ( |  | ) |

Definition at line 306 of file PluginRepoverification.cc.

## ◆ Checker()

zypp_private::repo::PluginRepoverification::Checker::Checker | ( | Impl * | pimpl | ) |
| private

Definition at line 302 of file PluginRepoverification.cc.

## Member Function Documentation

## ◆ operator()()

void zypp_private::repo::PluginRepoverification::Checker::operator() | ( | const Pathname & | file_r | ) | const

Check the downloaded master index file.

Exceptions

  PluginRepoverificationCheckException | If a plugins verification fails.

Definition at line 309 of file PluginRepoverification.cc.

## Friends And Related Symbol Documentation

## ◆ PluginRepoverification

friend class PluginRepoverification
| friend

Implementation class.

Factory for Checker

Definition at line 95 of file PluginRepoverification.h.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp_private::repo::PluginRepoverification::Checker::_pimpl
| private

Pointer to implementation (ref).

Definition at line 98 of file PluginRepoverification.h.

The documentation for this class was generated from the following files:

- zypp/repo/PluginRepoverification.h
- zypp/repo/PluginRepoverification.cc